Package org.eclipse.net4j.util.om

# Klasse OSGiActivator.StateHandler

java.lang.Object
org.eclipse.net4j.util.om.OSGiActivator.StateHandler

Umschließende Klasse:
  `OSGiActivator`

public abstract static class OSGiActivator.StateHandler extends Object
Saves and loads `bundle` state.

Seit:
  3.1
Autor:
  Eike Stepper

## Konstruktorübersicht

Konstruktoren
Konstruktor
Beschreibung
`StateHandler(OMBundle bundle)`

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`final void`
`start()`
`protected abstract void`
`startWithState(Object state)`
`final void`
`stop()`
`protected abstract Object`
`stopWithState()`

### Von Klasse geerbte Methoden java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Konstruktordetails

### StateHandler

public StateHandler(OMBundle bundle)

## Methodendetails

### start

public final void start() throws Exception

Löst aus:
  `Exception`

### stop

public final void stop() throws Exception

Löst aus:
  `Exception`

### startWithState

protected abstract void startWithState(Object state) throws Exception

Löst aus:
  `Exception`

### stopWithState

protected abstract Object stopWithState() throws Exception

Löst aus:
  `Exception`